## org.mariadb.jdbc.internal.failover
Class HandleErrorResult

    java.lang.Object
      org.mariadb.jdbc.internal.failover.HandleErrorResult

    public class HandleErrorResult

extends Object

Field Summary
`boolean` `isReconnected`
`boolean` `mustThrowError`
`Object` `resultObject`

Constructor Summary
`HandleErrorResult()`
`HandleErrorResult(boolean isReconnected)`

Method Summary
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### mustThrowError

    public boolean mustThrowError

### isReconnected

    public boolean isReconnected

### resultObject

    public Object resultObject

Constructor Detail

### HandleErrorResult

    public HandleErrorResult()

### HandleErrorResult

    public HandleErrorResult(boolean isReconnected)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2017. All rights reserved.